Skip to navigation

Create a load balancer rule for a public IP address

Authentication

X-API-Client-IDstring
API Client ID
X-API-Client-Secretstring
API Client Secret

Path parameters

ipIdstringRequired
ID of the public IP address

Request

This endpoint expects an object.
namestringRequired
Name of the load balancer rule
algorithmenumRequired
Algorithm used to distribute traffic across the backend VMs.
Allowed values:
publicPortstringRequired
Public port the load balancer listens on.
privatePortstringRequired
Port on the backend VMs that traffic is forwarded to.
protocolenumOptionalDefaults to tcp
Protocol the load balancer accepts.
Allowed values:
sourceCidrListstringOptional
Source CIDR allowed to reach the load balancer.
descriptionstringOptional

Free-form description of the rule.

Response

Load balancer rule created
idstringformat: "uuid"
Unique identifier for the load balancer rule.
namestring

Human-readable name for the rule.

publicPortinteger
Public port the load balancer listens on.
privatePortinteger
Port on the backend VMs that traffic is forwarded to.
algorithmstring
Algorithm used to distribute traffic across the backend VMs.
protocolstring
Protocol the load balancer accepts.
statestring
Current lifecycle state of the rule.
ipAddressIdstringformat: "uuid"
Identifier of the public IP the rule is attached to.
ipAddressstringformat: "ipv4"
Public IP address the rule is attached to.
networkIdstringformat: "uuid"
Identifier of the network the rule is associated with.
sourceCidrListstringOptional
Source CIDR allowed to reach the load balancer.
createdAtdatetimeOptional
When the rule was created.

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
404
Not Found Error
500
Internal Server Error